Moonshell 1.7.1 and G6

Discussion in 'Other Flashing Hardware & Software' started by jono_, Mar 9, 2007.

  1. jono_
    OP

    jono_ GBAtemp Fan

    Member
    334
    0
    Jul 11, 2006
    please help temp, ive just downloaded the moonshell 1.7.1 and am having trouble getting it onto my g6.
    how do i do it?

    thanks
    jono_
     
  2. jono_
    OP

    jono_ GBAtemp Fan

    Member
    334
    0
    Jul 11, 2006
    has the GBA temp communtity failed me?
    no replies?

    shock
    horror
     
  3. GexX2

    GexX2 Lurker

    Member
    517
    0
    Oct 23, 2006
    United States
    Tennesee, US
    Pretty much everyone with a G6 is having the same trouble. It would seem we'll have to wait until the next release =.=
     
  4. juggernaut911

    juggernaut911 GBAtemp Slut!

    Member
    4,153
    21
    Jul 13, 2006
    United States
    dude, u only waited 13 minutes for a reply and ur ashamed??? [​IMG] wait!!!


    and I cant get it to work at all either
     
  5. jono_
    OP

    jono_ GBAtemp Fan

    Member
    334
    0
    Jul 11, 2006
    i left a question last night, and woke up this morning to check.

    thanks for the replies guys
     
  6. juggernaut911

    juggernaut911 GBAtemp Slut!

    Member
    4,153
    21
    Jul 13, 2006
    United States
    oh!!! sorry! didn't see the AM/PM
     
  7. gianx80

    gianx80 Newbie

    Newcomer
    1
    0
    Oct 6, 2006
    Italy
    Hi, I solved the problem in this way:
    1) Install the. nds file for m3 SD, not for g6
    2) patch this file with g6 DLDI
    3)Enjoy IT!!!
     
  8. peep

    peep Newbie

    Newcomer
    2
    0
    Jul 26, 2006
    Finland
    When u say "Install the. nds file for m3 SD, not for g6", which .nds are we talking about? did u use the setup.exe and install it as a M3 and the installed the file which was placed on the root of the cart or did u check the developers tools box and extracted everything into a folder and installed the .nds file in this folder?
     
  9. Sweater Fish Del

    Sweater Fish Del GBAtemp Regular

    Member
    220
    0
    Jul 8, 2006
    United States
    Yeah, just check the box next to M3 (or any other flash card) in Moonshell's setup program, then just use the DLDI patcher to patch the outputted MoonShell for M3(or whatever box you checked).nds file for the G6.

    By the way, the 0.17 version of the G6 DLDI driver available now with full read/write support.

    Get it here: http://www.filecrunch.com/file/~li7yxj

    This should be more reliable than 0.15 and 0.16 were, but I actually I corrupted my G6 after switching to 0.17 DLDI driver. I was able to recover the cart, but did lose everything that I had on it. The author of the G6 DLDI driver thinks the corruption might have actually been caused by one of the earlier versions of his driver and only showed up later. So be careful if you're using the G6 DLDI driver, especially for writing. It's reverse engineered code since the G6 Team never released FAT source and as such it's not perfect. I'll still be using it myself because I think being able to read and write from the card in homebrews like Phidias or DSOrganize is just too handy and I can't find anyone who actually permamently corrupted their cart.


    ...word is bondage...
     
  10. juggernaut911

    juggernaut911 GBAtemp Slut!

    Member
    4,153
    21
    Jul 13, 2006
    United States
    I patched the G6 1 with that new DLDI and it WORKS!!!

    thnx man!

    ps: pretty sweet! yet skill doesnt play my DPG vids!!! WTF!!!!????
     
  11. chaarlieee

    chaarlieee Member

    Newcomer
    13
    0
    Nov 1, 2006
    Got it to work. Thanks.
     
  12. juggernaut911

    juggernaut911 GBAtemp Slut!

    Member
    4,153
    21
    Jul 13, 2006
    United States
    but SOOOOO laggy!!!
     
  13. Deaddy

    Deaddy GBAtemp Advanced Fan

    Member
    568
    0
    Oct 10, 2004
    Canada
    I just tried this, seems to have worked perfectly. No more Mediaplay Extend for me, it barely ever boots up without freezing anyway. Thanks!